"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateChanges_1 = require("../common/UpdateChanges");
const version = '10.2.0';
function default_1() {
    return (host, context) => {
        context.logger.info(`Applying migration for Ignite UI for Angular to version ${version}`);
        const update = new UpdateChanges_1.UpdateChanges(__dirname, host, context);
        update.addCondition('type_is_invalid', function (matchedOwner) {
            if (!matchedOwner) {
                return true;
            }
            const attrMatch = matchedOwner.match(new RegExp(`type=(["'])(.+?)${'\\1'}`));
            if ((attrMatch === null || attrMatch === void 0 ? void 0 : attrMatch.length) > 0) {
                const attr = attrMatch[0];
                return (attr.includes('bootstrap') ||
                    attr.includes('fluent') ||
                    attr.includes('indigo'));
            }
            return true;
        });
        update.applyChanges();
    };
}
exports.default = default_1;
